# DocumentTemplate

Visual document template designer for creating CMR, invoices, quotes and custom documents

## Duplicate document template

 - [POST /documentTemplate/{id}/duplicate](https://docs.transportial.com/apis/documenttemplate/handle_9.md): Create a copy of an existing document template

## Get document templates

 - [GET /documentTemplates/{offset}/{amount}](https://docs.transportial.com/apis/documenttemplate/handle_36.md): Get a paginated list of document templates

## Search document templates

 - [POST /documentTemplates/{offset}/{amount}](https://docs.transportial.com/apis/documenttemplate/handle_152.md): Search document templates with filters

## Update document template

 - [PUT /documentTemplate](https://docs.transportial.com/apis/documenttemplate/handle_260.md): Update an existing document template

## Create document template

 - [POST /documentTemplate](https://docs.transportial.com/apis/documenttemplate/handle_171.md): Create a new document template

## Get document template

 - [GET /documentTemplate/{id}](https://docs.transportial.com/apis/documenttemplate/handle_227.md): Get a document template by ID

## Delete document template

 - [DELETE /documentTemplate/{id}](https://docs.transportial.com/apis/documenttemplate/handle_403.md): Delete a document template (soft delete by default, use ?permanent=true for hard delete)

## Get bindable fields

 - [GET /documentTemplate/fields/{entityType}](https://docs.transportial.com/apis/documenttemplate/handle_245.md): Get the list of fields that can be bound to template elements for a specific entity type

